Help:Can wpa_supplicant-0.3.8 work with Madwifi without openssl linked?

Jouni Malinen jkmaline at cc.hut.fi
Sat Jul 29 23:09:05 EDT 2006


On Mon, Jul 10, 2006 at 09:50:55AM +0000, Sun Bon wrote:

> I disabled all the EAP functions and didn't give the path to the openssl 
> header files and libs (Also compiler didn't ask me for that during make).   
> 
> I hope to get sure that wpa_supplicant can work without openssl (tried) and 
> any advice about the failure I described below. 

Yes, wpa_supplicant works fine without OpenSSL as long as you do not
need EAP modes that use TLS. For example, if you are using only
WPA-Personal, there is no need for OpenSSL.

> Debug print:
...

> Daemonize..


Could you please try this without -B on the command line? I would also
be interested in seeing whether you can re-produce the same error with
the latest wpa_supplicant version (i.e., 0.5.4).

> Another question is: which verison of openssl is recommended to work with 
> wpa-supplicant-0.3.8.  I've tried openssl-0.9.7g but stopped at 
> compiling:openssl used some functions that the my arm-gcc lib not declared 
> (some functions in ctype.h). 

Any recent 0.9.7 and 0.9.8 version should be fine. Please include full
error message from the compiler if you cannot get this working.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list